# 
# * 7.9 Области видимости. Ключевые слова global и nonlocal
# 
'''
Подвиг 3. Имеется программа (см. листинг ниже), где читается глобальная
переменная WIDTH (из входного потока) и функция с именем func1. Допишите
в теле функции команду, которая бы позволяла изменять глобальную
переменную WIDTH.
Sample Input:
12
Sample Output:
13
'''
# WIDTH = int(input())

# def func1():
#     global WIDTH
#     WIDTH += 1
#     return WIDTH

# print(func1())

'''
Подвиг 4. Имеется программа (см. листинг ниже). Необходимо в теле
функции func2 дописать команду, которая бы меняла значение уже
существующей переменной msg, объявленной в функции func1.
Sample Input:
Сергей
Балакирев
Sample Output:
Балакирев
Балакирев
'''
# def func1():
#     msg = input()

#     def func2():
#         nonlocal msg
#         msg = input()
#         print(msg)

#     func2()        
#     print(msg)

# func1()

'''
Подвиг 5. Объявите функцию с именем create_global, которая имеет,
следующую сигнатуру:
def create_global(x): ...
Эта функция должна создавать глобальную переменную с именем TOTAL и
присваивать ей значение x. (Ничего выводить на экран она не должна,
только создавать переменную).
Вызывать функцию не нужно, только определить.
'''
def create_global(x) :
    global TOTAL
    TOTAL = x